package com.bocloud.cmp.provider.azure.slb;

import com.bocloud.cmp.model.azure.slb.ProbeModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: ProbeProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 14:26
 */
public interface ProbeProvider extends SuperProvider {

    default BocloudResult create(ProbeModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(ProbeModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(ProbeModel model) {
        return new BocloudResult(false, "need implement");
    }

}